Index: boost/container/allocator_traits.hpp
===================================================================
--- boost/container/allocator_traits.hpp	(revision 79358)
+++ boost/container/allocator_traits.hpp	(working copy)
@@ -213,8 +213,8 @@
    static void deallocate(Alloc &a, pointer p, size_type n)
    {  return a.deallocate(p, n);  }
 
-   //! <b>Effects</b>: calls `a.construct(p, std::forward<Args>(args)...)` if that call is well-formed;
-   //! otherwise, invokes `::new (static_cast<void*>(p)) T(std::forward<Args>(args)...)`
+   //! <b>Effects</b>: calls `a.allocate(n, p)` if that call is well-formed;
+   //! otherwise, invokes `a.allocate(n)`
    static pointer allocate(Alloc &a, size_type n, const_void_pointer p)
    {
       const bool value = boost::container::container_detail::
Index: libs/container/doc/container.qbk
===================================================================
--- libs/container/doc/container.qbk	(revision 79358)
+++ libs/container/doc/container.qbk	(working copy)
@@ -439,7 +439,7 @@
 [section:scoped_allocator Scoped allocators]
 
 C++11 improves stateful allocators with the introduction of
-[@http://http://en.cppreference.com/w/cpp/memory/scoped_allocator_adaptor `std::scoped_allocator_adaptor`]
+[@http://en.cppreference.com/w/cpp/memory/scoped_allocator_adaptor `std::scoped_allocator_adaptor`]
 class template. `scoped_allocator_adaptor` is instantiated with one outer allocator and zero or more inner
 allocators.
 
